NLSstClosestX {stats} | R Documentation

## Inverse Interpolation

### Description

Use inverse linear interpolation to approximate the `x` value at which the function represented by `xy` is equal to `yval`.

### Usage

    NLSstClosestX(xy, yval)

### Arguments

`xy` | a `sortedXyData` object
`yval` | a numeric value on the `y` scale

### Value

A single numeric value on the `x` scale.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`sortedXyData`, `NLSstLfAsymptote`, `NLSstRtAsymptote`, `selfStart`

### Examples

    DNase.2 <- DNase[ DNase$Run == "2", ]
    DN.srt <- sortedXyData( expression(log(conc)), expression(density), DNase.2 )
    NLSstClosestX( DN.srt, 1.0 )

[Package stats version 2.2.1 Index]